function paramdep
%paramdep finds the steady state protein level
%for a range of values of p0 and plots a graph
%showing how the protein steady state level 
%varies with p0

%set the parameters
k1 = 50;
k2 = 1;
d1 = 0.1;
d2 = 0.1;
n = 10;

%create a vector (pssa) in which to store the steady state protein values
%initially it is empty; we append each steady state as we go along
pssa = [];

%create a vector containing the required values of p0
parray = 5:5:30;

%the for loop calls fzero for each value of p0 in turn
for p0=parray    
    %find the protein steady state and call it pss
    psstmp = fzero(@rates,20);
    % append the steady state to pssa
    pssa=[pssa, psstmp];
end

figure(2)
clf
plot(parray,pssa,'linewidth',2)
xlabel('p_0')
ylabel('p steady state')

function out = rates(p)
    out = k1/(1+(p/p0)^n) - ((d1*d2)/k2)*p;
end
end