function ssfinder
%ssfinder finds the steady state protein level

k1 = 50;
k2 = 1;
d1 = 0.1;
d2 = 0.1;
n = 10;
p0 = 10;

figure(1)
clf
p = 0:0.1:50;
plot(p,rates(p),'linewidth',2)
grid on

%find the protein steady state and call it pss
pss = fzero(@rates,20)

%calculate the mRNA steady state (mss)
mss = (d2/k2)*pss

%plot the steady state in the graph of rates(p)
hold on
plot(pss,0,'*r','markersize',10,'linewidth',2)

function out=rates(p)
    out=k1./(1+(p/p0).^n) - ((d1*d2)/k2)*p;
end
end
